org.apache.cayenne.access.translator.select

## Class OrderingTranslator

- java.lang.Object
- - org.apache.cayenne.access.translator.select.QueryAssemblerHelper
  - - org.apache.cayenne.access.translator.select.OrderingTranslator

-     public class OrderingTranslator
      extends QueryAssemblerHelper

  Translates query ordering to SQL.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `orderByColumnList`

    - ### Fields inherited from class org.apache.cayenne.access.translator.select.QueryAssemblerHelper

      `out, queryAssembler, strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingTranslator(QueryAssembler queryAssembler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendFunction(Expression exp)`
    `protected void` | `doAppendPart()` Translates query Ordering list to SQL ORDER BY clause.
    `List<String>` | `getOrderByColumnList()` Returns the column expressions (not Expressions) used in the order by clause.

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.QueryAssemblerHelper

      `appendDbPath, appendLikeEscapeCharacter, appendLiteral, appendLiteralDirect, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processColumn, processColumnWithQuoteSqlIdentifiers, processRelTermination, processRelTermination, setForceJoinForRelations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### orderByColumnList

          protected List<String> orderByColumnList

  - ### Constructor Detail

    - #### OrderingTranslator

          public OrderingTranslator(QueryAssembler queryAssembler)

  - ### Method Detail

    - #### doAppendPart

          protected void doAppendPart()

      Translates query Ordering list to SQL ORDER BY clause. Ordering list is obtained from `queryAssembler`'s query object. In a process of building of ORDER BY clause, `queryAssembler` is notified when a join needs to be added.
      Specified by:
        `doAppendPart` in class `QueryAssemblerHelper`
      Since:
        3.0

    - #### appendFunction

          protected void appendFunction(Expression exp)

    - #### getOrderByColumnList

          public List<String> getOrderByColumnList()

      Returns the column expressions (not Expressions) used in the order by clause. E.g., in the case of an case-insensitive order by, an element of the list would be `UPPER(<column reference>)`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.